Package org.eclipse.cdt.utils.som.parser

# Class SOMBinaryShared

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.utils.BinaryFile
org.eclipse.cdt.utils.BinaryObjectAdapter
org.eclipse.cdt.utils.som.parser.SOMBinaryObject
org.eclipse.cdt.utils.som.parser.SOMBinaryShared

All Implemented Interfaces:
  `IBinaryParser.IBinaryExecutable`, `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`, `IBinaryParser.IBinaryShared`, `org.eclipse.core.runtime.IAdaptable`

public class SOMBinaryShared extends SOMBinaryObject implements IBinaryParser.IBinaryShared

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

## Field Summary

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SOMBinaryShared(IBinaryParser parser, org.eclipse.core.runtime.IPath path)`

## Method Summary

### Methods inherited from class org.eclipse.cdt.utils.som.parser.SOMBinaryObject

`addSymbols, getAdapter, getAddr2line, getAddressFactory, getBinaryObjectInfo, getContents, getCPPFilt, getName, getObjdump, getSOM, getSymbols, loadAll, loadInfo, loadInfo, loadSymbols`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`getBSS, getCPU, getData, getNeededSharedLibs, getSoName, getSymbol, getText, hasDebug, isLittleEndian, toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType, hasChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryExecutable

`getNeededSharedLibs`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryObject

`getAddressFactory, getBSS, getCPU, getData, getName, getSymbol, getSymbols, getText, hasDebug, isLittleEndian`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryShared

`getSoName`

## Constructor Details

### SOMBinaryShared

protected SOMBinaryShared(IBinaryParser parser, org.eclipse.core.runtime.IPath path)